Skip to main content
GET
/
public
/
v1
/
reporting-service
/
campaigns
/
{campaign-id}
Get Campaign Report
curl --request GET \
  --url https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign-id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign-id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "impressions": {
    "total": 123,
    "charged": 123,
    "adSpent": 123,
    "adSpentDecimal": "<string>"
  },
  "clicks": {
    "total": 123,
    "charged": 123,
    "adSpent": 123,
    "adSpentDecimal": "<string>"
  },
  "purchases": {
    "amount": 123,
    "count": 123,
    "quantity": 123,
    "countByProduct": {}
  },
  "auctions": {
    "percentageWon": 123,
    "won": 123,
    "lost": 123
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Path Parameters

campaign-id
string<uuid>
required

The ID of the campaign.

Query Parameters

start_date
string<date>
required

The start date for which reports will be generated.

end_date
string<date>
required

The end date for which reports will be generated.

Response

Successful Response

Auctions information attributed to this report item in addition to normal report data.

impressions
Events · object
required

How many impressions are attributed to this report item.

clicks
Events · object
required

How many clicks are attributed to this report item.

purchases
Purchases · object
required

How many purchases are attributed to this report item.

auctions
Auctions · object
required

How many auctions are attributed to this report item.